Package org.zkoss.stateless.sul

## Interface IColumnlayout

- All Superinterfaces:
    `IAnyGroup<IColumnlayout>`, `IChildable<IColumnlayout,​IColumnchildren<IAnyGroup>>`, `IComponent<IColumnlayout>`, `IHtmlBasedComponent<IColumnlayout>`, `IXulElement<IColumnlayout>`

      public interface IColumnlayout
      extends IXulElement<IColumnlayout>, IAnyGroup<IColumnlayout>, IChildable<IColumnlayout,​IColumnchildren<IAnyGroup>>

  Immutable `Columnlayout` component

  A columnlayout lays out a container which can have multiple columns, and each column may contain one or more component.
  Use Columnlayout need assign width (either present or pixel) on every `IColumnchildren`, otherwise the result may depend on the browser and may not be as expected.

  Author:
    katherine
  See Also:
    `Columnlayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IColumnlayout.Builder` | Builds instances of type `IColumnlayout`.
    `static class` | `IColumnlayout.Updater` | Builds an updater of type `IColumnlayout` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IColumnlayout` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IColumnlayout` | `of​(java.lang.Iterable<? extends IColumnchildren<IAnyGroup>> children)` | Returns the instance with the given `IColumnchildren` children.
    `static IColumnlayout` | `of​(IColumnchildren<IAnyGroup>... children)` | Returns the instance with the given `IColumnchildren` children.
    `static IColumnlayout` | `ofHflex​(java.lang.String hflex)` | Returns the instance with the given hflex
    `static IColumnlayout` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static IColumnlayout` | `ofSize​(java.lang.String width, java.lang.String height)` | Returns the instance with the given size, width and height.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IColumnlayout DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.layout.Columnlayout"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IColumnlayout>`

    - #### of

          static IColumnlayout of​(java.lang.Iterable<? extends IColumnchildren<IAnyGroup>> children)

      Returns the instance with the given `IColumnchildren` children.
      Parameters:
        `children` - The children of `IColumnchildren`

    - #### of

          static IColumnlayout of​(IColumnchildren<IAnyGroup>... children)

      Returns the instance with the given `IColumnchildren` children.
      Parameters:
        `children` - The children of `IColumnchildren`

    - #### ofSize

          static IColumnlayout ofSize​(java.lang.String width,
                                      java.lang.String height)

      Returns the instance with the given size, width and height.
      Parameters:
        `width` - The width of the component
        `height` - The height of the component

    - #### ofHflex

          static IColumnlayout ofHflex​(java.lang.String hflex)

      Returns the instance with the given hflex
      Parameters:
        `hflex` - The horizontal flex hint

    - #### ofId

          static IColumnlayout ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component